6.0.0-git
2019-09-15

[#14244] Define the default spell check language
Summary Define the default spell check language
Queue IMP
Queue Version 6.2.12
Type Enhancement
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester aaronp (at) critd (dot) com
Created 2016-02-04 (1319 days ago)
Due
Updated 2016-05-27 (1206 days ago)
Assigned
Resolved 2016-05-27 (1206 days ago)
Milestone
Patch No

History
2016-05-27 17:48:25 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (master):

commit bc4f11f1200a5bd0be091bb1545671971731b2fa
Author: Jan Schneider <jan@horde.org>
Date:   Fri May 27 19:46:38 2016 +0200

     [jan] Pre-select the current locale when building the 
spellchecker languages (Request #14244).

  framework/Core/lib/Horde/Core/Ajax/Imple/SpellChecker.php | 3 ++-
  framework/Core/package.xml                                | 2 ++
  2 files changed, 4 insertions(+), 1 deletion(-)

http://github.com/horde/horde/commit/bc4f11f1200a5bd0be091bb1545671971731b2fa
2016-05-27 17:48:06 Jan Schneider Assigned to Jan Schneider
State ⇒ Resolved
 
2016-02-12 20:35:32 aaronp (at) critd (dot) com Comment #3 Reply to this comment
Unfortunately, this does not seem to be the case for me. The first 
language in the list is always the language selected when I pull down 
the list, regardless of what I had selected previously.

Also, I'm still seeing unreliable and inaccurate results until I 
manually select a language each time I compose a new message. Because 
it doesn't seem to guess the language correctly the first time nor 
remember my selection from the previous time, it's at best frustrating 
for our power-users and effectively broken for our less-experienced 
customers.
2016-02-12 10:49:11 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
I think by default is always uses the language that was selected last. 
This makes sense and I don't see a reason to change this.
2016-02-04 21:56:50 aaronp (at) critd (dot) com Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Define the default spell check language
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
The spell check in the compose window will correctly guess en_US when 
checking the text "This is some speeling text", but it is not able to 
guess the correct language when checking the text "speeling". I 
suspect this is because it's doing some guessing and doesn't have 
enough input to guess correctly, which is reasonable but I'd prefer to 
be able to explicitly define a default spell check language. This 
wouldn't replace the built-in guessing, just inform the guessing if 
it's unsure. For reference, I'm already defining en_US as the default 
language in nls.local.php but it doesn't help. I'm submitting this as 
a request and not a bug because I think it's doing what it's supposed 
to do, but I think it could be improved.

Saved Queries